Bug 286 - Window looses focus
Summary: Window looses focus
Status: RESOLVED WONTFIX
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 3.6 Alpha 5
Hardware: PC Linux
: P1 normal
Assignee: Alexandre David
URL:
Depends on:
Blocks:
 
Reported: 2006-03-07 16:52 CET by Gerd Behrmann
Modified: 2006-05-04 12:07 CEST (History)
0 users

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerd Behrmann 2006-03-07 16:52:09 CET
When rapidly and repeatedly clicking on the check button in the verifier on an empty query, the GUI tends to loose focus in such a way that it can still receive mouse events, but any keyboard events are not directed at the GUI. The window frame indicates that the windows is not selected. Clicking on the window does not give it focus.

If the problem occurs, the only way to recover normal behaviour is to restart UPPAAL.

It is unclear if this is our fault or a bug in Swing.
Comment 1 Gerd Behrmann 2006-03-16 20:51:33 CET
Alexandre, could you please take a look at this. This is the problem we talked about some days ago.
Comment 2 Gerd Behrmann 2006-05-04 12:07:17 CEST
Seems to be bug 6265294 in Java 5 (see Sun's bug database). Apparently this has been fixed as a side effect of the fix for bug 4080029 in Mustang (Java 6) release b38.

We have implemented a work around for the issue by introducing a 100ms delay for the verification dialog. This is not noticable by the average user.